Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_PropertyBundle

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_PublicObject

                        |

                        +--oracle.ifs.server.S_TiePublicObject

                              |

                              +--oracle.ifs.server.S_ApplicationObject

                                    |

                                    +--oracle.ifs.server.S_TieApplicationObject

                                          |

                                          +--oracle.ifs.server.S_PropertyBundle

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  S_TiePropertyBundle

public class S_PropertyBundle
extends S_TieApplicationObject

An `S_PropertyBundle` is the server-side representation of PropertyBundle.

Method Summary
`protected void` | `deriveDefinition(S_LibraryObjectDefinition def)` Derives the S_LibraryObjectDefinition for this class.
`protected void` | `extendedPreFree(OperationState opState, S_LibraryObjectDefinition def)` Removes all properties from this PropertyBundle prior to freeing this PropertyBundle.
`protected void` | `extendedPreUpdate(OperationState opState, S_LibraryObjectDefinition def)` Performs operations prior to updating this PropertyBundle.
`S_Property[]` | `getProperties(SortSpecification sort)` Gets the properties in this PropertyBundle sorted by the SortSpecification.
`S_Property` | `getProperty(java.lang.String name)` Gets the S_Property of the specified name.
`AttributeValue` | `getPropertyValue(java.lang.String name)` Gets the value of a particular property.
`void` | `handleEvent(IfsEvent event)` Handles the specified event.
`void` | `putProperty(AttributeValue av)` Inserts or updates a property in this PropertyBundle.
`void` | `removeProperty(java.lang.String name)` Removes a property from this PropertyBundle.

Methods inherited from class oracle.ifs.server.S_ApplicationObject
`isVersionable`

Methods inherited from class oracle.ifs.server.S_PublicObject
`addRelationship, extendedPreInsert, getCategories, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getReferencingFolders, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getVersionDescriptions, hasNameAttribute, isLocked, removeRelationship`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`equals, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Method Detail

### deriveDefinition

    protected void deriveDefinition(S_LibraryObjectDefinition def)
                             throws IfsException

  Derives the S_LibraryObjectDefinition for this class.

  This is called by getDefinition() on S_LibraryObject. This must call super.deriveDefinition() before applying any class-specific changes to the S_LibraryObjectDefinition object.

  Overrides:
    `deriveDefinition` in class `S_PublicObject`
  Parameters:
    `def` - the S_LibraryObjectDefinition that contains the definition of this object
  Throws:
    `IfsException` - if operation fails

### handleEvent

    public void handleEvent(IfsEvent event)
                     throws IfsException

  Handles the specified event.
  Overrides:
    `handleEvent` in class `S_LibraryObject`
  Parameters:
    `event` - the event
  Throws:
    `IfsException` - if the operation fails

### extendedPreFree

    protected void extendedPreFree(OperationState opState,
                                   S_LibraryObjectDefinition def)
                            throws IfsException

  Removes all properties from this PropertyBundle prior to freeing this PropertyBundle.

  This is overridden by classes that need to perform operations after successfully deleting the rows for the freed instance.

  Overrides:
    `extendedPreFree` in class `S_PublicObject`
  Parameters:
    `opState` - operation state
    `def` - the server-side definition
  Throws:
    `IfsException` - if operation fails

### extendedPreUpdate

    protected void extendedPreUpdate(OperationState opState,
                                     S_LibraryObjectDefinition def)
                              throws IfsException

  Performs operations prior to updating this PropertyBundle.

  The update option is specified as a SystemOption. The options are to remove a property, remove all properties, or put a property.

  Overrides:
    `extendedPreUpdate` in class `S_PublicObject`
  Parameters:
    `opState` - operation state
    `def` - the server-side definition class that holds the attribute changes
  Throws:
    `IfsException` - if operation fails

### getProperties

    public S_Property[] getProperties(SortSpecification sort)
                               throws IfsException

  Gets the properties in this PropertyBundle sorted by the SortSpecification.
  Parameters:
    `sort` - the specification of how the properties will be sorted
  Returns:
    array of sorted S_Property
  Throws:
    `IfsException` - if the operation fails

### putProperty

    public void putProperty(AttributeValue av)
                     throws IfsException

  Inserts or updates a property in this PropertyBundle.

  The name of the property is taken from the name of the AttributeValue. The value of the property is the value of the AttributeValue.

  Parameters:
    `av` - the AttributeValue containing the name and value of the property to insert or update.
  Throws:
    `IfsException` - if the operation fails

### removeProperty

    public void removeProperty(java.lang.String name)
                        throws IfsException

  Removes a property from this PropertyBundle.
  Parameters:
    `name` - the name of the property to be removed
  Throws:
    `IfsException` - if the operation fails

### getPropertyValue

    public AttributeValue getPropertyValue(java.lang.String name)
                                    throws IfsException

  Gets the value of a particular property.
  Parameters:
    `name` - the name of the property
  Returns:
    the AttributeValue of the requested property
  Throws:
    `IfsException` - if the operation fails

### getProperty

    public S_Property getProperty(java.lang.String name)
                           throws IfsException

  Gets the S_Property of the specified name.
  Parameters:
    `name` - the name of the property
  Returns:
    the requested property
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD